Package: groovy.lang

## [Java] Interface MetaClassRegistryChangeEventListener

- A listener called whenever a constant MetaClass is set, removed or replaced.

  See Also:
    MetaClassRegistry
    MetaClassRegistryChangeEvent
  Authors:
    Jochen Theodorou

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)` Called when the a constant MetaClass is updated.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public void updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)

      Called when the a constant MetaClass is updated. If the new MetaClass is null, then the MetaClass is removed. Be careful, while this method is executed other updates may happen. If you want this method thread safe, you have to take care of that by yourself.

      Parameters:
        `cmcu` - - the change event